#ifndef DEPARTTRAINS_H
#define DEPARTTRAINS_H

#include <QObject>
#include <QNetworkAccessManager>
#include <QNetworkReply>
#include <QStringList>
#include "departmodel.h"

class departTrains : public QObject
{
Q_OBJECT
public:
    explicit departTrains(QObject *parent = 0);
    void demandeDeparts(QString idGare,int nbDep, QDateTime date = QDateTime::QDateTime ());
private:
    QNetworkAccessManager *accessManager;
    QNetworkReply *reply;

private slots:
    void slotError(QNetworkReply::NetworkError error);
    void slotFinished();

signals:
    void departsConnus(QList<ligneDepart>);

public slots:

};

#endif // DEPARTTRAINS_H
