#ifndef RECHERCHEGARE_H
#define RECHERCHEGARE_H

#include <QObject>
#include <QNetworkAccessManager>
#include <QNetworkReply>
#include <QStringList>

class rechercheGare : public QObject
{
Q_OBJECT
public:
    explicit rechercheGare(QObject *parent = 0);
    void demandeServeur(QString recherche);
private:
    QNetworkAccessManager *accessManager;
    QNetworkReply *reply;
private slots:
    void slotError(QNetworkReply::NetworkError error);
    void slotFinished();
signals:
    void resConnu(QList< QPair<QString,QString> >);
    void erreurReseau(QString);

public slots:

};

#endif // RECHERCHEGARE_H
